Bug 135254 - PANIC: handle_group_exit: 31232 leader 31231
PANIC: handle_group_exit: 31232 leader 31231
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: strace (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Roland McGrath
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-11 08:46 EDT by David Woodhouse
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-19 23:08:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2004-10-11 08:46:25 EDT
Description of problem:
Hitting ^C when stracing firefox causes the above message and the
program does not stop

Version-Release number of selected component (if applicable):
strace-4.5.7-2

How reproducible:


Steps to Reproduce:
1. export LD_LIBRARY_PATH=/usr/lib/firefox-0.10.1
2. strace -f -o firefox32 /usr/lib/firefox-0.10.1/firefox-bin
3. Hit ^C as soon as it starts.
  
Actual results:
PANIC: handle_group_exit: 31232 leader 31231


Expected results:
Return to shell prompt.

Additional info:
On ppc64 it prints the PANIC message but exists. On a ppc32 kernel it
prints the message and doesn't exit.
Comment 1 Roland McGrath 2004-10-19 23:08:19 EDT
Should be fixed now.
Comment 2 Tim Powers 2005-05-19 17:10:01 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-131.html

Note You need to log in before you can comment on or make changes to this bug.